String rows[];
String rowsb[];
PFont font;

PImage bar_eng;
PImage bar_fre;
PImage bar_ita;
PImage bar_ger;
PImage bar_spa;
PImage botton;

Ellipse[] letterEllipses = new Ellipse[26];

void setup() {
  bar_eng = loadImage ("bar_eng2.png");
  bar_fre = loadImage ("bar_fre2.png");
  bar_ita = loadImage ("bar_ita2.png");
  bar_ger = loadImage ("bar_ger2.png");
  bar_spa = loadImage ("bar_spa2.png");
  botton = loadImage ("botton.png");

  size(1385, 800);
  noStroke ();
  background(220);
  smooth();
  fill (123,189,238);
  rect (115,8,404, 25);
  rect (730,8,404, 25);
  fill (30);
  rect (116,9,402, 23);
  rect (731,9,402, 23);
  fill (255);
  rect (117,10,400, 21);
  rect (732,10,400, 21);
  rect (115,40,610,550);
  rect (730,40,610,550);
  fill (170);
  rect (0,610,1440,250);

  image (botton, 530,10);
  image (botton, 1145,10);
  image (bar_eng,115,630);
  image (bar_fre,115,660);
  image (bar_ita,115,690);
  image (bar_ger,115,720);
  image (bar_spa,115,750);

  rows = loadStrings("ihaveadream_spa.txt");
  rowsb = loadStrings ("ihaveadream_ger.txt");
  font = loadFont ("Helvetica-24.vlw");

  fill (30);
  textFont (font,14);
  textAlign (RIGHT);
  text ("Files:",90,25);
  text ("english",90,645);
  text ("french",90,675);
  text ("italian",90,705);
  text ("german",90,735);
  text ("spanish",90,765);

  textAlign (LEFT);
  text ("ihaveadream_spa.txt",130,25);
  text ("ihaveadream_ger.txt",745,25);

  initLetterEllipses();
}

void initLetterEllipses() {
  for (int e = 0; e < 26; e++) {
    char letter = char(e + 97);
    Ellipse letterEllipse = new Ellipse();
    letterEllipse.x = 84.5;
    letterEllipse.y = e * 20 + 65;
    letterEllipse.letter = letter;
    letterEllipses[e] = letterEllipse;
  }
}

void draw(){
  drawRows();
  drawRowsb();

  fill (30);
  textAlign (CENTER);
  text ("A",85,71);
  text ("B",85,91);
  text ("C",85,111);
  text ("D",85,131);
  text ("E",85,151);
  text ("F",85,171);
  text ("G",85,191);
  text ("H",85,211);
  text ("I",85,231);
  text ("J",85,251);
  text ("K",85,271);
  text ("L",85,291);
  text ("M",85,311);
  text ("N",85,331);
  text ("O",85,351);
  text ("P",85,371);
  text ("Q",85,391);
  text ("R",85,411);
  text ("S",85,431);
  text ("T",85,451);
  text ("U",85,471);
  text ("V",85,491);
  text ("W",85,511);
  text ("X",85,531);
  text ("Y",85,551);
  text ("Z",85,571);
}

void drawRows() { 

  char selectedLetter = ' ';

  for (int e = 0; e < 26; e++) {
    letterEllipses[e].drawEllipse();
    if (letterEllipses[e].isHighlighted()) {
      selectedLetter =letterEllipses[e].letter;
    }
  }

  float y=43;
  float x=120;


  for (int r = 0; r < rows.length; r++) {
    String txt = rows[r];

    for (int i=0; i<txt.length(); i++) {

      // caratteri
      char letter = txt.charAt(i);

      if (selectedLetter == ' ') {

        if(letter==','){ 
          fill(255);
        }
        if(letter=='.'){ 
          fill(255);
        }
        if(letter==';'){ 
          fill(255);
        }
        if(letter==' '){ 
          fill(255);
        }
        if(letter=='a'){ 
          fill(102);
        }
        if(letter=='b'){ 
          fill(137,21,39);
        }
        if(letter=='c'){ 
          fill(253,206,89);
        }
        if(letter=='d'){ 
          fill(231,66,57);
        }
        if(letter=='e'){ 
          fill(66);
        }
        if(letter=='f'){ 
          fill(44,163,191);
        }
        if(letter=='g'){ 
          fill(20,86,40);
        }
        if(letter=='h'){ 
          fill(161,209,224);
        }
        if(letter=='i'){ 
          fill(189);
        }
        if(letter=='j'){ 
          fill(238,121,78);
        }
        if(letter=='k'){ 
          fill(16,135,55);
        }
        if(letter=='l'){ 
          fill(175,122,40);
        }
        if(letter=='m'){ 
          fill(232,175,53);
        }
        if(letter=='n'){ 
          fill(83,161,59);
        }
        if(letter=='o'){ 
          fill(224);
        }
        if(letter=='p'){ 
          fill(139,20,108);
        }
        if(letter=='q'){ 
          fill(183,68,141);
        }
        if(letter=='r'){ 
          fill(255,229,178);
        }
        if(letter=='s'){ 
          fill(193,5,36);
        }
        if(letter=='t'){ 
          fill(189,120,162);
        }
        if(letter=='u'){ 
          fill(142);
        }
        if(letter=='v'){ 
          fill(224,198,199);
        }
        if(letter=='w'){ 
          fill(29,110,140);
        }
        if(letter=='x'){ 
          fill(179,194,95);
        }
        if(letter=='y'){ 
          fill(7,51,96);
        }
        if(letter=='z'){ 
          fill(0);
        }

        if(letter=='A'){ 
          fill(102);
        }
        if(letter=='B'){ 
          fill(137,21,39);
        }
        if(letter=='C'){ 
          fill(253,206,89);
        }
        if(letter=='D'){ 
          fill(231,66,57);
        }
        if(letter=='E'){ 
          fill(66);
        }
        if(letter=='F'){ 
          fill(44,163,191);
        }
        if(letter=='G'){ 
          fill(20,86,40);
        }
        if(letter=='H'){ 
          fill(161,209,224);
        }
        if(letter=='I'){ 
          fill(189);
        }
        if(letter=='J'){ 
          fill(238,121,78);
        }
        if(letter=='K'){ 
          fill(16,135,55);
        }
        if(letter=='L'){ 
          fill(175,122,40);
        }
        if(letter=='M'){ 
          fill(232,175,53);
        }
        if(letter=='N'){ 
          fill(83,161,59);
        }
        if(letter=='O'){ 
          fill(224);
        }
        if(letter=='P'){ 
          fill(139,20,108);
        }
        if(letter=='Q'){ 
          fill(183,68,141);
        }
        if(letter=='R'){ 
          fill(255,229,178);
        }
        if(letter=='S'){ 
          fill(193,5,36);
        }
        if(letter=='T'){ 
          fill(189,120,162);
        }
        if(letter=='U'){ 
          fill(142);
        }
        if(letter=='V'){ 
          fill(224,198,199);
        }
        if(letter=='W'){ 
          fill(29,110,140);
        }
        if(letter=='X'){ 
          fill(179,194,95);
        }
        if(letter=='Y'){ 
          fill(7,51,96);
        }
        if(letter=='Z'){ 
          fill(0);
        }
      }
      else {
        fill(240);

        if (letter == selectedLetter) {
          if(letter==','){ 
            fill(255);
          }
          if(letter=='.'){ 
            fill(255);
          }
          if(letter==';'){ 
            fill(255);
          }
          if(letter==' '){ 
            fill(255);
          }
          if(letter=='a'){ 
            fill(102);
          }
          if(letter=='b'){ 
            fill(137,21,39);
          }
          if(letter=='c'){ 
            fill(253,206,89);
          }
          if(letter=='d'){ 
            fill(231,66,57);
          }
          if(letter=='e'){ 
            fill(66);
          }
          if(letter=='f'){ 
            fill(44,163,191);
          }
          if(letter=='g'){ 
            fill(20,86,40);
          }
          if(letter=='h'){ 
            fill(161,209,224);
          }
          if(letter=='i'){ 
            fill(189);
          }
          if(letter=='j'){ 
            fill(238,121,78);
          }
          if(letter=='k'){ 
            fill(16,135,55);
          }
          if(letter=='l'){ 
            fill(175,122,40);
          }
          if(letter=='m'){ 
            fill(232,175,53);
          }
          if(letter=='n'){ 
            fill(83,161,59);
          }
          if(letter=='o'){ 
            fill(224);
          }
          if(letter=='p'){ 
            fill(139,20,108);
          }
          if(letter=='q'){ 
            fill(183,68,141);
          }
          if(letter=='r'){ 
            fill(255,229,178);
          }
          if(letter=='s'){ 
            fill(193,5,36);
          }
          if(letter=='t'){ 
            fill(189,120,162);
          }
          if(letter=='u'){ 
            fill(142);
          }
          if(letter=='v'){ 
            fill(224,198,199);
          }
          if(letter=='w'){ 
            fill(29,110,140);
          }
          if(letter=='x'){ 
            fill(179,194,95);
          }
          if(letter=='y'){ 
            fill(7,51,96);
          }
          if(letter=='z'){ 
            fill(0);
          }

          if(letter=='A'){ 
            fill(102);
          }
          if(letter=='B'){ 
            fill(137,21,39);
          }
          if(letter=='C'){ 
            fill(253,206,89);
          }
          if(letter=='D'){ 
            fill(231,66,57);
          }
          if(letter=='E'){ 
            fill(66);
          }
          if(letter=='F'){ 
            fill(44,163,191);
          }
          if(letter=='G'){ 
            fill(20,86,40);
          }
          if(letter=='H'){ 
            fill(161,209,224);
          }
          if(letter=='I'){ 
            fill(189);
          }
          if(letter=='J'){ 
            fill(238,121,78);
          }
          if(letter=='K'){ 
            fill(16,135,55);
          }
          if(letter=='L'){ 
            fill(175,122,40);
          }
          if(letter=='M'){ 
            fill(232,175,53);
          }
          if(letter=='N'){ 
            fill(83,161,59);
          }
          if(letter=='O'){ 
            fill(224);
          }
          if(letter=='P'){ 
            fill(139,20,108);
          }
          if(letter=='Q'){ 
            fill(183,68,141);
          }
          if(letter=='R'){ 
            fill(255,229,178);
          }
          if(letter=='S'){ 
            fill(193,5,36);
          }
          if(letter=='T'){ 
            fill(189,120,162);
          }
          if(letter=='U'){ 
            fill(142);
          }
          if(letter=='V'){ 
            fill(224,198,199);
          }
          if(letter=='W'){ 
            fill(29,110,140);
          }
          if(letter=='X'){ 
            fill(179,194,95);
          }
          if(letter=='Y'){ 
            fill(7,51,96);
          }
          if(letter=='Z'){ 
            fill(0);
          }
        }
      }

      stroke(255);
      rect (x, y, 5,5);
      x= x+5;
      if (x>=720){
        y=y+5;
        x=120;
      }

    }
  }
}


void drawRowsb(){
  char selectedLetter = ' ';

  for (int e = 0; e < 26; e++) {
    letterEllipses[e].drawEllipse();
    if (letterEllipses[e].isHighlighted()) {
      selectedLetter =letterEllipses[e].letter;
    }
  }

  println(selectedLetter);
  float y=43;
  float x=735;

  for (int r = 0; r < rowsb.length; r++) {
    String txt = rowsb[r];

    for (int i=0; i<txt.length(); i++) {

      // caratteri
      char letter = txt.charAt(i);

      if (selectedLetter == ' ') {

        if(letter==','){ 
          fill(255);
        }
        if(letter=='.'){ 
          fill(255);
        }
        if(letter==';'){ 
          fill(255);
        }
        if(letter==' '){ 
          fill(255);
        }
        if(letter=='a'){ 
          fill(102);
        }
        if(letter=='b'){ 
          fill(137,21,39);
        }
        if(letter=='c'){ 
          fill(253,206,89);
        }
        if(letter=='d'){ 
          fill(231,66,57);
        }
        if(letter=='e'){ 
          fill(66);
        }
        if(letter=='f'){ 
          fill(44,163,191);
        }
        if(letter=='g'){ 
          fill(20,86,40);
        }
        if(letter=='h'){ 
          fill(161,209,224);
        }
        if(letter=='i'){ 
          fill(189);
        }
        if(letter=='j'){ 
          fill(238,121,78);
        }
        if(letter=='k'){ 
          fill(16,135,55);
        }
        if(letter=='l'){ 
          fill(175,122,40);
        }
        if(letter=='m'){ 
          fill(232,175,53);
        }
        if(letter=='n'){ 
          fill(83,161,59);
        }
        if(letter=='o'){ 
          fill(224);
        }
        if(letter=='p'){ 
          fill(139,20,108);
        }
        if(letter=='q'){ 
          fill(183,68,141);
        }
        if(letter=='r'){ 
          fill(255,229,178);
        }
        if(letter=='s'){ 
          fill(193,5,36);
        }
        if(letter=='t'){ 
          fill(189,120,162);
        }
        if(letter=='u'){ 
          fill(142);
        }
        if(letter=='v'){ 
          fill(224,198,199);
        }
        if(letter=='w'){ 
          fill(29,110,140);
        }
        if(letter=='x'){ 
          fill(179,194,95);
        }
        if(letter=='y'){ 
          fill(7,51,96);
        }
        if(letter=='z'){ 
          fill(0);
        }

        if(letter=='A'){ 
          fill(102);
        }
        if(letter=='B'){ 
          fill(137,21,39);
        }
        if(letter=='C'){ 
          fill(253,206,89);
        }
        if(letter=='D'){ 
          fill(231,66,57);
        }
        if(letter=='E'){ 
          fill(66);
        }
        if(letter=='F'){ 
          fill(44,163,191);
        }
        if(letter=='G'){ 
          fill(20,86,40);
        }
        if(letter=='H'){ 
          fill(161,209,224);
        }
        if(letter=='I'){ 
          fill(189);
        }
        if(letter=='J'){ 
          fill(238,121,78);
        }
        if(letter=='K'){ 
          fill(16,135,55);
        }
        if(letter=='L'){ 
          fill(175,122,40);
        }
        if(letter=='M'){ 
          fill(232,175,53);
        }
        if(letter=='N'){ 
          fill(83,161,59);
        }
        if(letter=='O'){ 
          fill(224);
        }
        if(letter=='P'){ 
          fill(139,20,108);
        }
        if(letter=='Q'){ 
          fill(183,68,141);
        }
        if(letter=='R'){ 
          fill(255,229,178);
        }
        if(letter=='S'){ 
          fill(193,5,36);
        }
        if(letter=='T'){ 
          fill(189,120,162);
        }
        if(letter=='U'){ 
          fill(142);
        }
        if(letter=='V'){ 
          fill(224,198,199);
        }
        if(letter=='W'){ 
          fill(29,110,140);
        }
        if(letter=='X'){ 
          fill(179,194,95);
        }
        if(letter=='Y'){ 
          fill(7,51,96);
        }
        if(letter=='Z'){ 
          fill(0);
        }
      }
      else {
        fill(240);

        if (letter == selectedLetter) {
          if(letter==','){ 
            fill(255);
          }
          if(letter=='.'){ 
            fill(255);
          }
          if(letter==';'){ 
            fill(255);
          }
          if(letter==' '){ 
            fill(255);
          }
          if(letter=='a'){ 
            fill(102);
          }
          if(letter=='b'){ 
            fill(137,21,39);
          }
          if(letter=='c'){ 
            fill(253,206,89);
          }
          if(letter=='d'){ 
            fill(231,66,57);
          }
          if(letter=='e'){ 
            fill(66);
          }
          if(letter=='f'){ 
            fill(44,163,191);
          }
          if(letter=='g'){ 
            fill(20,86,40);
          }
          if(letter=='h'){ 
            fill(161,209,224);
          }
          if(letter=='i'){ 
            fill(189);
          }
          if(letter=='j'){ 
            fill(238,121,78);
          }
          if(letter=='k'){ 
            fill(16,135,55);
          }
          if(letter=='l'){ 
            fill(175,122,40);
          }
          if(letter=='m'){ 
            fill(232,175,53);
          }
          if(letter=='n'){ 
            fill(83,161,59);
          }
          if(letter=='o'){ 
            fill(224);
          }
          if(letter=='p'){ 
            fill(139,20,108);
          }
          if(letter=='q'){ 
            fill(183,68,141);
          }
          if(letter=='r'){ 
            fill(255,229,178);
          }
          if(letter=='s'){ 
            fill(193,5,36);
          }
          if(letter=='t'){ 
            fill(189,120,162);
          }
          if(letter=='u'){ 
            fill(142);
          }
          if(letter=='v'){ 
            fill(224,198,199);
          }
          if(letter=='w'){ 
            fill(29,110,140);
          }
          if(letter=='x'){ 
            fill(179,194,95);
          }
          if(letter=='y'){ 
            fill(7,51,96);
          }
          if(letter=='z'){ 
            fill(0);
          }

          if(letter=='A'){ 
            fill(102);
          }
          if(letter=='B'){ 
            fill(137,21,39);
          }
          if(letter=='C'){ 
            fill(253,206,89);
          }
          if(letter=='D'){ 
            fill(231,66,57);
          }
          if(letter=='E'){ 
            fill(66);
          }
          if(letter=='F'){ 
            fill(44,163,191);
          }
          if(letter=='G'){ 
            fill(20,86,40);
          }
          if(letter=='H'){ 
            fill(161,209,224);
          }
          if(letter=='I'){ 
            fill(189);
          }
          if(letter=='J'){ 
            fill(238,121,78);
          }
          if(letter=='K'){ 
            fill(16,135,55);
          }
          if(letter=='L'){ 
            fill(175,122,40);
          }
          if(letter=='M'){ 
            fill(232,175,53);
          }
          if(letter=='N'){ 
            fill(83,161,59);
          }
          if(letter=='O'){ 
            fill(224);
          }
          if(letter=='P'){ 
            fill(139,20,108);
          }
          if(letter=='Q'){ 
            fill(183,68,141);
          }
          if(letter=='R'){ 
            fill(255,229,178);
          }
          if(letter=='S'){ 
            fill(193,5,36);
          }
          if(letter=='T'){ 
            fill(189,120,162);
          }
          if(letter=='U'){ 
            fill(142);
          }
          if(letter=='V'){ 
            fill(224,198,199);
          }
          if(letter=='W'){ 
            fill(29,110,140);
          }
          if(letter=='X'){ 
            fill(179,194,95);
          }
          if(letter=='Y'){ 
            fill(7,51,96);
          }
          if(letter=='Z'){ 
            fill(0);
          }
        }
      }

      stroke(255);
      rect (x, y, 5,5);
      x= x+5;
      if (x>=1335){
        y=y+5;
        x=735;
      }

    }
  }
}

class Ellipse {
  char letter;
  float x;
  float y;
  float radius = 10;

  void drawEllipse() {
    if (isHighlighted()) {
      noStroke();
      if(letter=='a'){ 
        fill(102);
      }
      if(letter=='b'){ 
        fill(137,21,39);
      }
      if(letter=='c'){ 
        fill(253,206,89);
      }
      if(letter=='d'){ 
        fill(231,66,57);
      }
      if(letter=='e'){ 
        fill(66);
      }
      if(letter=='f'){ 
        fill(44,163,191);
      }
      if(letter=='g'){ 
        fill(20,86,40);
      }
      if(letter=='h'){ 
        fill(161,209,224);
      }
      if(letter=='i'){ 
        fill(189);
      }
      if(letter=='j'){ 
        fill(238,121,78);
      }
      if(letter=='k'){ 
        fill(16,135,55);
      }
      if(letter=='l'){ 
        fill(175,122,40);
      }
      if(letter=='m'){ 
        fill(232,175,53);
      }
      if(letter=='n'){ 
        fill(83,161,59);
      }
      if(letter=='o'){ 
        fill(224);
      }
      if(letter=='p'){ 
        fill(139,20,108);
      }
      if(letter=='q'){ 
        fill(183,68,141);
      }
      if(letter=='r'){ 
        fill(255,229,178);
      }
      if(letter=='s'){ 
        fill(193,5,36);
      }
      if(letter=='t'){ 
        fill(189,120,162);
      }
      if(letter=='u'){ 
        fill(142);
      }
      if(letter=='v'){ 
        fill(224,198,199);
      }
      if(letter=='w'){ 
        fill(29,110,140);
      }
      if(letter=='x'){ 
        fill(179,194,95);
      }
      if(letter=='y'){ 
        fill(7,51,96);
      }
      if(letter=='z'){ 
        fill(0);
      }

      if(letter=='A'){ 
        fill(102);
      }
      if(letter=='B'){ 
        fill(137,21,39);
      }
      if(letter=='C'){ 
        fill(253,206,89);
      }
      if(letter=='D'){ 
        fill(231,66,57);
      }
      if(letter=='E'){ 
        fill(66);
      }
      if(letter=='F'){ 
        fill(44,163,191);
      }
      if(letter=='G'){ 
        fill(20,86,40);
      }
      if(letter=='H'){ 
        fill(161,209,224);
      }
      if(letter=='I'){ 
        fill(189);
      }
      if(letter=='J'){ 
        fill(238,121,78);
      }
      if(letter=='K'){ 
        fill(16,135,55);
      }
      if(letter=='L'){ 
        fill(175,122,40);
      }
      if(letter=='M'){ 
        fill(232,175,53);
      }
      if(letter=='N'){ 
        fill(83,161,59);
      }
      if(letter=='O'){ 
        fill(224);
      }
      if(letter=='P'){ 
        fill(139,20,108);
      }
      if(letter=='Q'){ 
        fill(183,68,141);
      }
      if(letter=='R'){ 
        fill(255,229,178);
      }
      if(letter=='S'){ 
        fill(193,5,36);
      }
      if(letter=='T'){ 
        fill(189,120,162);
      }
      if(letter=='U'){ 
        fill(142);
      }
      if(letter=='V'){ 
        fill(224,198,199);
      }
      if(letter=='W'){ 
        fill(29,110,140);
      }
      if(letter=='X'){ 
        fill(179,194,95);
      }
      if(letter=='Y'){ 
        fill(7,51,96);
      }
      if(letter=='Z'){ 
        fill(0);
      }
    }
    else {
      fill (170);
    }

    noStroke();
    ellipse(x, y, radius * 2, radius * 2);  
  }  

  boolean isHighlighted() {
    return dist(mouseX, mouseY, x, y) < radius;
  }

}













